GetTaskAttemptReportRequestPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskAttemptReportRequestPBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskAttemptReportRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskAttemptReportRequestPBImpl

All Implemented Interfaces:
  `GetTaskAttemptReportRequest`

public class GetTaskAttemptReportRequestPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto> implements GetTaskAttemptReportRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskAttemptReportRequestPBImpl()`
  `GetTaskAttemptReportRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto`
  `getProto()`
  `TaskAttemptId`
  `getTaskAttemptId()`
  `void`
  `setTaskAttemptId(TaskAttemptId taskAttemptId)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskAttemptReportRequestPBImpl

    public GetTaskAttemptReportRequestPBImpl()

  - ### GetTaskAttemptReportRequestPBImpl

    public GetTaskAttemptReportRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto>`

  - ### getTaskAttemptId

    public TaskAttemptId getTaskAttemptId()
    Specified by:
      `getTaskAttemptId` in interface `GetTaskAttemptReportRequest`

  - ### setTaskAttemptId

    public void setTaskAttemptId(TaskAttemptId taskAttemptId)
    Specified by:
      `setTaskAttemptId` in interface `GetTaskAttemptReportRequest`